=== debian/changelog ===
libzpc (1.0.0-0ubuntu1) jammy; urgency=medium

  * Initial release (LP: #1932522)

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 05 Jan 2022 12:06:53 +0100
