=== debian/control ===
Source: libzpc
Priority: optional
Maintainer: Frank Heimes <frank.heimes@canonical.com>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libjson-c-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: libs
Homepage: https://github.com/opencryptoki/libzpc

Package: libzpc-dev
Section: libdevel
Architecture: s390x
Multi-Arch: same
Depends:
 libzpc1 (= ${binary:Version}),
 ${misc:Depends},
Description: IBM Z protected-key crypto library (development package)
 The IBM Z Protected-key Crypto library libzpc is an open-source library,
 targeting the 64-bit Linux on IBM Z (s390x) platform and
 provides interfaces for cryptographic primitives.
 .
 This package provides development headers.

Package: libzpc1
Architecture: s390x
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: IBM Z protected-key crypto library
 The IBM Z Protected-key Crypto library libzpc is an open-source library,
 targeting the 64-bit Linux on IBM Z (s390x) platform and
 provides interfaces for cryptographic primitives.
