## libzpc 1.1.0

=== debian/changelog ===
libzpc (1.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2003636)
    This new version includes the requested ECC support.
  * Remove quilt patch d/p/mark-assembler-as-not-needing-exec-stack.patch
    since it's now included in the upstream version.
  * Update copyright years in debian/copyright file.
  * Update Canonical copyright in debian/copyright to (standard) GPL-3.
  * Update Standards-Version in d/control to latest 4.6.1.0.
  * Adjust d/libzpc-dev.install to reflect changed pkgconfig folder.
  * Merge d/libzpc1.symbols with new symbols from v1.1.0.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 03 Feb 2023 10:07:59 +0100
