## libzpc 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 set(ZPC_NAME          "libzpc"                            )
 set(ZPC_DESCRIPTION   "IBM Z Protected-key Crypto library")
 set(ZPC_VERSION_MAJOR 1                                   )
-set(ZPC_VERSION_MINOR 0                                   )
-set(ZPC_VERSION_PATCH 0                                   )
+set(ZPC_VERSION_MINOR 1                                   )
+set(ZPC_VERSION_PATCH 1                                   )
 ###########################################################
 
 cmake_minimum_required(
@@ -16,10 +16,19 @@
     cmake_policy(SET CMP0063 NEW)
 endif()
 
+# New in version 3.24: prefer to set the timestamps of all extracted contents
+# to the time of the extraction.
+# https://cmake.org/cmake/help/git-stage/policy/CMP0135.html
+if(POLICY CMP0135)
+    cmake_policy(SET CMP0135 NEW)
+endif()
+
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_C_STANDARD_REQUIRED ON)
+set(CMAKE_C_FLAGS_DEBUG "-Wall -Wextra -mzarch -g -O0")
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_FLAGS_DEBUG "-Wall -Wextra -mzarch -g -O0")
 
 project(${ZPC_NAME}
     VERSION     ${ZPC_VERSION_MAJOR}.${ZPC_VERSION_MINOR}.${ZPC_VERSION_PATCH}
@@ -36,6 +45,8 @@
     include/zpc/aes_cbc.h
     include/zpc/aes_ecb.h
     include/zpc/aes_cmac.h
+    include/zpc/ecc_key.h
+    include/zpc/ecdsa_ctx.h
 )
 
 set(ZPC_SOURCES
@@ -50,6 +61,8 @@
     src/aes_cmac.c
     src/aes_ccm.c
     src/aes_gcm.c
+    src/ecc_key.c
+    src/ecdsa_ctx.c
 
     src/zkey/utils.c
     src/zkey/pkey.c
@@ -113,7 +126,7 @@
 
 install(
     FILES       ${CMAKE_BINARY_DIR}/libzpc.pc
-    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pkgconfig
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
 )
 
 option(BUILD_TEST OFF)
@@ -176,6 +189,13 @@
 )
 set(NIST_AES_XTS_SHA256
     67bb04b018182f65530596786e7783f817d2e56509bf3b1f066609b8e3e29c36
+)
+
+set(NIST_ECDSA_URL
+    https://csrc.nist.gov/CSRC/media/Projects/Cryptographic-Algorithm-Validation-Program/documents/components/186-3ecdsasiggencomponenttestvectors.zip
+)
+set(NIST_ECDSA_SHA256
+    cf07d0b3c961032138a072feba237be51da6ff1f9f5af1230e1d6e84858a164f
 )
 
 include(ExternalProject)
@@ -281,6 +301,38 @@
 set(NIST_AES_CMAC_SOURCE_DIR
     ${SOURCE_DIR}
 )
+
+ExternalProject_Add(nist_ecdsa
+    URL               ${NIST_ECDSA_URL}
+    URL_HASH          SHA256=${NIST_ECDSA_SHA256}
+    PREFIX            ${CMAKE_BINARY_DIR}/nist_ecdsa
+    CONFIGURE_COMMAND ""
+    BUILD_COMMAND     ""
+    INSTALL_COMMAND   ""
+    TEST_COMMAND      ""
+)
+ExternalProject_Get_Property(nist_ecdsa SOURCE_DIR)
+set(NIST_ECDSA_SOURCE_DIR
+    ${SOURCE_DIR}
+)
+add_custom_command(
+  OUTPUT            nist_ecdsa.json
+  COMMAND           chmod 755 ${CMAKE_SOURCE_DIR}/misc/nist2json_ecdsa.pl && 
+                    ${CMAKE_SOURCE_DIR}/misc/nist2json_ecdsa.pl
+                        ${NIST_ECDSA_SOURCE_DIR}/SigGenComponent.txt
+  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+  DEPENDS           nist_ecdsa
+)
+add_custom_target(nist_ecdsa_json ALL DEPENDS nist_ecdsa.json)
+
+add_custom_command(
+  OUTPUT            nist_eddsa.json
+  COMMAND           ${CMAKE_COMMAND} -E copy 
+                        ${CMAKE_SOURCE_DIR}/misc/nist_eddsa.json
+                        ${CMAKE_BINARY_DIR}
+  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+)
+add_custom_target(nist_eddsa_json ALL DEPENDS nist_eddsa.json)
 
 ExternalProject_Add(wycheproof
     GIT_REPOSITORY    ${WYCHEPROOF_GIT}
@@ -327,6 +379,8 @@
     test/b_aes_cmac.c
     test/b_aes_ccm.c
     test/b_aes_gcm.c
+    test/b_ecc_key.c
+    test/b_ecdsa_ctx.c
     test/t_system.cc
     test/t_testlib.cc
     test/t_environment.cc
@@ -338,6 +392,8 @@
     test/t_aes_xts.cc
     test/t_aes_ccm.cc
     test/t_aes_gcm.cc
+    test/t_ecc_key.cc
+    test/t_ecdsa_ctx.cc
 )
 
 add_executable(runtest ${ZPC_TEST_SOURCES})
