=== debian/changelog ===
libzpc (1.1.1-0ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2048775)
    (No update of the symbols file needed.)
  * Updated Standards-Version in d/control from
    4.6.1.0 to latest 4.6.2.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 09 Jan 2024 13:34:09 +0100
