=== debian/changelog ===
libzpc (1.2.0-0ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2050031)
  * Update d/libzpc1.symbols.

 -- Alexandre Erwin Ittner <alexandre.ittner@canonical.com>  Thu, 22 Feb 2024 13:10:47 -0300
