## libzpc 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 set(ZPC_NAME          "libzpc"                            )
 set(ZPC_DESCRIPTION   "IBM Z Protected-key Crypto library")
 set(ZPC_VERSION_MAJOR 1                                   )
-set(ZPC_VERSION_MINOR 2                                   )
+set(ZPC_VERSION_MINOR 3                                   )
 set(ZPC_VERSION_PATCH 0                                   )
 ###########################################################
 
@@ -25,10 +25,10 @@
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_C_STANDARD_REQUIRED ON)
-set(CMAKE_C_FLAGS_DEBUG "-Wall -Wextra -mzarch -g -O0")
+set(CMAKE_C_FLAGS_DEBUG "-Wall -Wextra -m64 -g -O0")
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
-set(CMAKE_CXX_FLAGS_DEBUG "-Wall -Wextra -mzarch -g -O0")
+set(CMAKE_CXX_FLAGS_DEBUG "-Wall -Wextra -m64 -g -O0")
 
 project(${ZPC_NAME}
     VERSION     ${ZPC_VERSION_MAJOR}.${ZPC_VERSION_MINOR}.${ZPC_VERSION_PATCH}
@@ -63,6 +63,7 @@
     src/aes_gcm.c
     src/ecc_key.c
     src/ecdsa_ctx.c
+    src/pvsecrets.c
 
     src/zkey/utils.c
     src/zkey/pkey.c
