=== debian/changelog ===
libzpc (1.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2097545)
  * d/control: upgrade Standards-Version from 4.6.2 to 4.7.0.
  * d/control: Update Maintainer field to "Ubuntu Developers".

 -- Alexandre Erwin Ittner <alexandre.ittner@canonical.com>  Fri, 14 Feb 2025 16:52:54 +0000

libzpc (1.2.0-0ubuntu2) oracular; urgency=medium

  * No-change rebuild to disable frame pointers on ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 13:14:40 +0200
