=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libzpc
 Priority: optional
-Maintainer: Frank Heimes <frank.heimes@canonical.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frank Heimes <frank.heimes@canonical.com>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  libjson-c-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/opencryptoki/libzpc
