## libzpc 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 set(ZPC_NAME          "libzpc"                            )
 set(ZPC_DESCRIPTION   "IBM Z Protected-key Crypto library")
 set(ZPC_VERSION_MAJOR 1                                   )
-set(ZPC_VERSION_MINOR 3                                   )
+set(ZPC_VERSION_MINOR 4                                   )
 set(ZPC_VERSION_PATCH 0                                   )
 ###########################################################
 
@@ -39,14 +39,18 @@
 set(ZPC_HEADERS
     include/zpc/error.h
     include/zpc/aes_key.h
+    include/zpc/aes_xts_key.h
     include/zpc/aes_gcm.h
     include/zpc/aes_ccm.h
     include/zpc/aes_xts.h
+    include/zpc/aes_xts_full.h
     include/zpc/aes_cbc.h
     include/zpc/aes_ecb.h
     include/zpc/aes_cmac.h
     include/zpc/ecc_key.h
     include/zpc/ecdsa_ctx.h
+    include/zpc/hmac_key.h
+    include/zpc/hmac.h
 )
 
 set(ZPC_SOURCES
@@ -55,15 +59,19 @@
     src/misc.c
     src/misc_asm.S
     src/aes_key.c
+    src/aes_xts_key.c
     src/aes_ecb.c
     src/aes_cbc.c
     src/aes_xts.c
+    src/aes_xts_full.c
     src/aes_cmac.c
     src/aes_ccm.c
     src/aes_gcm.c
     src/ecc_key.c
     src/ecdsa_ctx.c
     src/pvsecrets.c
+    src/hmac_key.c
+    src/hmac.c
 
     src/zkey/utils.c
     src/zkey/pkey.c
@@ -374,27 +382,35 @@
     test/b_headers.c
     test/b_error.c
     test/b_aes_key.c
+    test/b_aes_xts_key.c
     test/b_aes_ecb.c
     test/b_aes_cbc.c
     test/b_aes_xts.c
+    test/b_aes_xts_full.c
     test/b_aes_cmac.c
     test/b_aes_ccm.c
     test/b_aes_gcm.c
     test/b_ecc_key.c
     test/b_ecdsa_ctx.c
+    test/b_hmac_key.c
+    test/b_hmac.c
     test/t_system.cc
     test/t_testlib.cc
     test/t_environment.cc
     test/t_error.cc
     test/t_aes_key.cc
+    test/t_aes_xts_key.cc
     test/t_aes_ecb.cc
     test/t_aes_cbc.cc
     test/t_aes_cmac.cc
     test/t_aes_xts.cc
+    test/t_aes_xts_full.cc
     test/t_aes_ccm.cc
     test/t_aes_gcm.cc
     test/t_ecc_key.cc
     test/t_ecdsa_ctx.cc
+    test/t_hmac_key.cc
+    test/t_hmac.cc
 )
 
 add_executable(runtest ${ZPC_TEST_SOURCES})
@@ -423,10 +439,3 @@
 )
 add_custom_target(doc
     ALL
-    COMMAND           ${DOXYGEN_EXECUTABLE} ${DOXYFILE}
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-)
-
-endif ()
-
-endif ()
