=== debian/changelog ===
libzpc (1.4.0-0ubuntu1) questing; urgency=medium

  * New upstream release (LP: #2116711).
  * Update copyright years in d/copyright file.
  * Update Standards-Version in d/control from 4.7.0 to latest 4.7.2.
  * Update d/libzpc1.symbols with new 1.4.0 symbols.
   
 -- Patricia Domingues <patricia.domingues@canonical.com>  Fri, 08 Aug 2025 11:19:27 -0300
