=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILDDIR = obj-$(DEB_HOST_GNU_TYPE)

%:
	dh $@ --buildsystem=cmake

override_dh_auto_clean:
	dh_auto_clean -B $(BUILDDIR)-static
	dh_auto_clean -B $(BUILDDIR)

override_dh_auto_configure:
	dh_auto_configure -B $(BUILDDIR)-static
	dh_auto_configure -B $(BUILDDIR) -- -DBUILD_SHARED_LIBS=ON

override_dh_auto_build:
	dh_auto_build -B $(BUILDDIR)-static
	dh_auto_build -B $(BUILDDIR)

override_dh_auto_install:
	dh_auto_install -B $(BUILDDIR)-static
	dh_auto_install -B $(BUILDDIR)
