=== debian/watch ===
# this is a version 4 file
version=4

# GitHub hosted project
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libzpc-$1\.tar\.gz/ \
    https://github.com/opencryptoki/libzpc/tags .*/v?(\d\S+)\.tar\.gz
