## libzpc 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(ZPC_DESCRIPTION   "IBM Z Protected-key Crypto library")
 set(ZPC_VERSION_MAJOR 1                                   )
 set(ZPC_VERSION_MINOR 4                                   )
-set(ZPC_VERSION_PATCH 0                                   )
+set(ZPC_VERSION_PATCH 1                                   )
 ###########################################################
 
 cmake_minimum_required(
@@ -86,14 +86,13 @@
     src/zkey/lib/util_prg.c
 )
 
-find_library(PTHREAD
+set(THREADS_PREFER_PTHREAD_FLAG TRUE)
+find_package(Threads
     REQUIRED
-    NAMES pthread
-)
-
-find_library(JSON_C
+)
+
+find_package(json-c
     REQUIRED
-    NAMES json-c
 )
 
 add_definitions(
@@ -101,7 +100,7 @@
 )
 
 set(ZPC_LIBS
-	${PTHREAD} ${CMAKE_DL_LIBS}
+	Threads::Threads ${CMAKE_DL_LIBS}
 )
 
 add_library(zpc ${ZPC_SOURCES})
@@ -326,8 +325,7 @@
 )
 add_custom_command(
   OUTPUT            nist_ecdsa.json
-  COMMAND           chmod 755 ${CMAKE_SOURCE_DIR}/misc/nist2json_ecdsa.pl && 
-                    ${CMAKE_SOURCE_DIR}/misc/nist2json_ecdsa.pl
+  COMMAND           ${CMAKE_SOURCE_DIR}/misc/nist2json_ecdsa.pl
                         ${NIST_ECDSA_SOURCE_DIR}/SigGenComponent.txt
   WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
   DEPENDS           nist_ecdsa
@@ -359,6 +357,7 @@
     PREFIX          ${CMAKE_BINARY_DIR}/gtest
     INSTALL_COMMAND ""
     TEST_COMMAND    ""
+    CMAKE_ARGS      "-DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE}"
 )
 ExternalProject_Get_Property(gtest SOURCE_DIR BINARY_DIR)
 set(GTEST_INCLUDE_DIR
@@ -371,8 +370,8 @@
 set(ZPC_TEST_LIBS
     ${GTEST_LIB_DIR}/libgtest_main.a
     ${GTEST_LIB_DIR}/libgtest.a
-    ${PTHREAD}
-    ${JSON_C}
+    Threads::Threads
+    json-c::json-c
     zpc
 )
 
@@ -435,7 +434,7 @@
 if (DOXYGEN_FOUND)
 
 set(DOXYFILE
-    ${CMAKE_SOURCE_DIR}/doc/Doxyfile
-)
-add_custom_target(doc
-    ALL
+    ${CMAKE_BINARY_DIR}/doc/Doxyfile
+)
+set(DOXYFILE_IN
+    ${CMAKE_SOURCE_DIR}/doc/Doxyfile.in
