=== debian/changelog ===
libzpc (1.4.1-0ubuntu1) resolute; urgency=medium

  * New upstream version 1.4.1 (LP: #2136312)
    - d/libzpc1.symbols: updated according to dpkg-gensymbols from build log
    - d/watch: updated to version 5 to fix lintian warning
      older-debian-watch-file-standard

 -- Ishraq Islam <ishraq.islam@canonical.com>  Mon, 12 Jan 2026 22:22:29 +0000
