## libzpc 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 set(ZPC_NAME          "libzpc"                            )
 set(ZPC_DESCRIPTION   "IBM Z Protected-key Crypto library")
 set(ZPC_VERSION_MAJOR 1                                   )
-set(ZPC_VERSION_MINOR 4                                   )
-set(ZPC_VERSION_PATCH 1                                   )
+set(ZPC_VERSION_MINOR 5                                   )
+set(ZPC_VERSION_PATCH 0                                   )
 ###########################################################
 
 cmake_minimum_required(
