=== debian/changelog ===
libzpc (1.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release. (LP: #2140342)

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 10 Feb 2026 09:03:11 +0000
