=== debian/watch ===
Version: 5

# GitHub hosted project
Template: Github
Owner: opencryptoki
Project: libzpc
